/// <reference types="node" />
import { Worker } from 'worker_threads';
export interface IWorker<Input, Output> {
    worker: Worker;
    isWorking: boolean;
    job: IWorkerJob<Input, Output> | null;
}
export interface IWorkerJob<Input, Output> {
    id: number;
    value: Input;
    resolve: WorkerResolveFn<Output>;
    reject: WorkerRejectFn;
}
export declare type WorkerResolveFn<Output> = (result: Output) => void;
export declare type WorkerRejectFn = (reason: unknown) => void;
export declare type IWorkerMessage<Output> = {
    type: 'result';
    id: number;
    status: 'success';
    result: Output;
} | {
    type: 'result';
    id: number;
    status: 'error';
    error: string;
} | {
    type: 'init';
    status: 'success';
} | {
    type: 'init';
    status: 'error';
    error: string;
};
